#ifndef __Operand_h__
#define __Operand_h__

#include "ZString.h"

namespace jet {

   class Operand {

    public:
      Operand(coreutils::ZString &in);

      bool isNumber();
      bool isString();

      ///
      /// boolean is set by internal processes to return the boolean
      /// equivilent value.
      ///
      
      bool boolean;
      coreutils::ZString string;
      
    private:
//      dataType enum ={};
      double doubleValue;
      

   };
}

#endif